@mixin frame{
	width:96%;
	margin-left:auto;
	margin-right:auto;
	.content{
		@include scroller;
		overflow-y: scroll;
		position:relative;
		height:calc(100% - #{$buffer-bar-height});
		background-color:map.get($default-theme, background-color);
		background-color:var(--background-color);
	}
	.bar{
		display:block;
		width:100%;
		background-color:map.get($default-theme, background-alt);
		background-color:var(--background-alt);
		color:map.get($default-theme, background-font);
		color:var(--background-font);
        height:$buffer-bar-height;
		//font-size: 0.9em;
		line-height: $buffer-bar-height;
		overflow-x:hidden;
	}
}

html.emacs-frames{
  @include height100;
  margin: 0 !important;
  padding: 0 !important;

  body{
    @include height100;
    @include scroller(true);
    overflow-y: scroll;

    .minibuffer{
      width:100%;
      height:$buffer-bar-height;
      //font-size: 0.9em;
      line-height: $buffer-bar-height;
      overflow-x:hidden;
    }

    .frame{
      @include frame;
	  padding-top:2em;
    }
    .main.frame{
      *:last-child{
        margin-bottom:0 !important;
      }
      *:first-child{
        margin-top:0 !important;
      }
    }

  }

  @include breakpoint-medium {

    body{
      box-sizing: border-box;
      @include height100;

        .layout-container{
			width:100%;
	        height:97%;
	        height:calc(100% - #{$buffer-bar-height});
	        overflow-x:hidden;
			overflow-y:hidden;
			display:grid;
			grid-auto-rows:1fr;
			grid-auto-columns: 1fr;
			justify-content: center;
		
			.frame{
				width:98%;
				padding-top:0;
			}

	        .main.frame{
				grid-column-start: 1;
				grid-column-end: 3;
				grid-row-start: 1;
				grid-row-end: 4;
            	@include scroller(true);
            	overflow-y: scroll;
			}
			
            .side.frame{
				grid-column-start: 3;
				grid-column-end: 4;
				grid-row-start: 2;
				grid-row-end: 4;
            }

			.logo.frame{
				grid-column-start: 3;
				grid-column-end: 4;
				grid-row-start: 1;
				grid-row-end: 2;
            }

          }

    }

  }

}
